CREATE TABLE cst_cost_org_item_vu_values (
    COST_ORG_ID               NUMBER(18, 0) ,
    COST_BOOK_ID              NUMBER(18, 0) ,
    VAL_UNIT_ID               NUMBER(18, 0) ,
    INVENTORY_ITEM_ID         NUMBER(18, 0) ,
    COST_AVAILABLE_FLAG       VARCHAR2(4)   ,
    FIRST_REC_TRXN_ID         NUMBER(18, 0) ,
    LAST_REC_TRXN_ID          NUMBER(18, 0) ,
    FIRST_COST_DATE           TIMESTAMP(6)  ,
    LAST_COST_DATE            TIMESTAMP(6)  ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    COST_ORG_ID               NUMBER(18, 0) ,
    COST_BOOK_ID              NUMBER(18, 0) ,
    VAL_UNIT_ID               NUMBER(18, 0) ,
    INVENTORY_ITEM_ID         NUMBER(18, 0) ,
    FIRST_REC_TRXN_ID         NUMBER(18, 0) ,
    LAST_REC_TRXN_ID          NUMBER(18, 0) ,
    FIRST_COST_DATE           TIMESTAMP(6)  ,
    LAST_COST_DATE            TIMESTAMP(6)  ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    COST_AVAILABLE_FLAG       VARCHAR2(4)   ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CONSTRAINT pk_cst_cost_org_item_vu_values PRIMARY KEY (COST_ORG_ID, COST_BOOK_ID, VAL_UNIT_ID, INVENTORY_ITEM_ID, COST_ORG_ID, COST_BOOK_ID, VAL_UNIT_ID, INVENTORY_ITEM_ID)
);
